Bug 827136 - Review Request: wmclock - Dockable clock applet for WindowMaker
Review Request: wmclock - Dockable clock applet for WindowMaker
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 13:30 EDT by Alexey I. Froloff
Modified: 2012-06-04 07:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 828150 (view as bug list)
Environment:
Last Closed: 2012-06-04 07:19:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
andreas.bierfert: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Fix display when both -12 and -year are given (784 bytes, patch)
2012-06-04 06:12 EDT, Account closed by user
no flags Details | Diff

  None (edit)
Description Alexey I. Froloff 2012-05-31 13:30:03 EDT
Spec URL: http://mail.raorn.name/wmclock.spec
SRPM URL: http://mail.raorn.name/wmclock-1.0.12.2-1.fc17.src.rpm
Description:

Hi,

This package contains small and nice clock dockapp for WindowMaker.  First of the several packages I am missing in Fedora.

rpmlint output:
wmclock.spec:36: W: configure-without-libdir-spec
wmclock.src: W: spelling-error Summary(en_US) Dockable -> Lockable, Dock able, Dock-able
wmclock.src: W: spelling-error %description -l en_US dockable -> lockable, dock able, dock-able
wmclock.src: W: spelling-error %description -l en_US asclock -> as clock, as-clock, clock
wmclock.src:36: W: configure-without-libdir-spec
wmclock.x86_64: W: spelling-error Summary(en_US) Dockable -> Lockable, Dock able, Dock-able
wmclock.x86_64: W: spelling-error %description -l en_US dockable -> lockable, dock able, dock-able
wmclock.x86_64: W: spelling-error %description -l en_US asclock -> as clock, as-clock, clock
3 packages and 1 specfiles checked; 0 errors, 8 warnings.

configure-without-libdir-spec - handmade configure script, makefile is generated by mkmf
spelling-error - "dockable" is a common term for dockapps or WindowMaker applets, asclock is a name of another project

Fedora Account System Username: raorn
Comment 1 Andreas Bierfert 2012-05-31 16:18:32 EDT
Before the formal review here are some comments of things which must/should be changed:

 * unnecessary BR: gccmakedep (provided by imake)
 * never use TM or ™ in  summary or description (http://fedoraproject.org/wiki/Packaging/Guidelines#Trademarks_in_Summary_or_Description)
 * macros should be enclosed with {} (e.g. %{_bindir})
 * the source archive contains the asclock source code but does not use to build it. To avoid any confusion and in the best practice of not having bundled software in fedora packages, I would suggest to contact upstream and ask to release a wmclock source w/o the asclock source included. If that is not possible create a stripped source file and add a comment to the spec file. Also see http://fedoraproject.org/wiki/Packaging/SourceURL
 * if you contact upstream ask if the nopolling patch could be included in the new tarball
 * the COPYING file must be included as doc (http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text)
 * consider including the ChangeLog file as doc

The rpmlint warnings can be be ignored / do not apply here.
Comment 2 Alexey I. Froloff 2012-06-01 04:46:33 EDT
Upstream contacted, no reply so far, tarball repacked.
ChangeLog file contains commit log from upstream VCS and it's not useful for end-users.
"NEXTSTEP(tm)" replaced with "N*XTSTEP", common replacement for trademarked OS name.

Specfile and source rpm re-uploaded, here's the diff:

diff --git a/sources b/sources
index ad3dcc4..3934b99 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-97f6e82f55f216ba724859d4652586b4  wmclock-1.0.12.2.tar.gz
+ea12799ed9f4342024a52c68ea06466e  wmclock-1.0.12.2-pruned.tar.gz
diff --git a/wmclock.spec b/wmclock.spec
index 8662c02..6cc1e74 100644
--- a/wmclock.spec
+++ b/wmclock.spec
@@ -7,14 +7,22 @@ License:      GPLv2+
 Group:         User Interface/X
 
 Url:           http://www.jmknoble.net/WindowMaker/wmclock
-Source:                %{url}/%name-%version.tar.gz
-Patch:         %name-1.0.12.2-nopolling.patch
-
-BuildRequires: gccmakedep imake libX11-devel libXext-devel libXpm-devel xorg-x11-proto-devel
+#
+# Source tarball contains original asclock source code, that is not used
+# during build.  Download original source, unpack and use the following
+# commands to generate "pruned" tarball:
+#
+# ./configure
+# make tar MAKE_CHANGELOG=: EXTRA_DIRS='lang.* xpm' TARBALL='$(TARDIR)-pruned.tar.gz'
+#
+Source:                %{name}-%{version}-pruned.tar.gz
+Patch:         %{name}-1.0.12.2-nopolling.patch
+
+BuildRequires: imake libX11-devel libXext-devel libXpm-devel xorg-x11-proto-devel
 
 %description
 Wmclock is an applet which displays the date and time in a dockable
-tile in the same style as the clock from the NEXTSTEP(tm) operating
+tile in the same style as the clock from the N*XTSTEP operating
 system.  Wmclock is specially designed for the WindowMaker window
 manager, by Alfredo Kojima, and features multiple language support,
 twenty-four-hour and twelve-hour (am/pm) time display, and, optionally,
@@ -37,13 +45,13 @@ done
 make %{?_smp_mflags} CDEBUGFLAGS="$RPM_OPT_FLAGS"
 
 %install
-%make_install install.man install.share
+%{make_install} install.man install.share
 
 %files
-%doc README
-%_bindir/%name
-%_mandir/man1/%name.1*
-%_datadir/%name
+%doc README COPYING
+%{_bindir}/%{name}
+%{_mandir}/man1/%{name}.1*
+%{_datadir}/%{name}
 
 %changelog
 * Thu May 31 2012 Alexey I. Froloff <raorn@raorn.name> - 1.0.12.2-1
Comment 3 Andreas Bierfert 2012-06-01 12:09:15 EDT
Just as a remark: Next time please bump the release when applying these changes.

Please add the original source url to the comment before or after import.


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 * MUST rpmlint: ok, warnings do not apply here
wmclock.src: W: spelling-error Summary(en_US) Dockable -> Lockable, Dock able, Dock-able
wmclock.src: W: spelling-error %description -l en_US dockable -> lockable, dock able, dock-able
wmclock.src: W: spelling-error %description -l en_US asclock -> as clock, as-clock, clock
wmclock.src:44: W: configure-without-libdir-spec
wmclock.src: W: invalid-url Source0: wmclock-1.0.12.2-pruned.tar.gz
wmclock.x86_64: W: spelling-error Summary(en_US) Dockable -> Lockable, Dock able, Dock-able
wmclock.x86_64: W: spelling-error %description -l en_US dockable -> lockable, dock able, dock-able
wmclock.x86_64: W: spelling-error %description -l en_US asclock -> as clock, as-clock, clock
wmclock.spec:44: W: configure-without-libdir-spec
wmclock.spec: W: invalid-url Source0: wmclock-1.0.12.2-pruned.tar.gz
 * package naming: ok
 * package guideline complience: ok
 * license: ok
 * license field: ok
 * spec language and legible: ok
 * source: ok
   sha1sum wmclock-1.0.12.2.tar.gz 45176cc54c261a2fd79bf1fb4dad62f5bb5debde
   sha1sum wmclock-1.0.12.2-pruned.tar.gz b1ebc4a7b2b11634bb2fdf87680187fc5d94fe8a
 * builds on f17 and rawhide koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4119670
 * BR: ok
 * file permissions: ok
 * desktop file: not needed as this is a specialized dockapp
 * package runs on f17: ok
 * man page included: ok

51505ed60d2330a744a5a1826d2af31436286410  wmclock-1.0.12.2-1.fc17.src.rpm

package approved
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/I6IgACgkQQEQyPsWM8ctnlgCfT207A8P+KNU6HkYqKuugNuy4
g3YAnil5xUULNWx7qtHkdUz3XViyMXlJ
=i8jw
-----END PGP SIGNATURE-----

Please add me as initial cc to the package in the git request.
Comment 4 Alexey I. Froloff 2012-06-01 13:07:56 EDT
New Package SCM Request
=======================
Package Name: wmclock
Short Description: Dockable clock applet for WindowMaker
Owners: raorn
Branches: f17
InitialCC: awjb
Comment 5 Gwyn Ciesla 2012-06-01 13:25:38 EDT
Git done (by process-git-requests).

Andreas, please take ownership of review BZs.  Thanks!
Comment 6 Account closed by user 2012-06-04 06:12:15 EDT
Created attachment 589104 [details]
Fix display when both -12 and -year are given

Description: Fix display when both -12 and -year are given
Author: Vino Fernando Crescini <jcrescin@cit.uws.edu.au>
Bug-Debian: http://bugs.debian.org/228985
Comment 7 Account closed by user 2012-06-04 06:13:17 EDT
URL: http://www.bluestop.org/wmclock/index.html
newer release: 1.0.14
Comment 8 Alexey I. Froloff 2012-06-04 07:19:11 EDT
Closing bug as NEXTRELEASE as described in https://fedoraproject.org/wiki/Package_Review_Process.

Xose, your report have been moved to bug #828150.

Note You need to log in before you can comment on or make changes to this bug.